<style>
  @import url('../css/TicketingModule.css');
</style>
<template>
  <div class="m_TicketingModule">
    <div class="_tit">
      <span class="_text">签证信息</span>
      <div>
        <span class="_btn" v-if="tableShow" @click="tableShow=false">收起 <i class="iconfont icon-gengduo _rotate"></i></span>
        <span class="_btn" v-else @click="tableShow=true">展开 <i class="iconfont icon-gengduo"></i></span>
      </div>
    </div>
    <div v-show="tableShow" class="_padding_20_15">
      <table class="singeRowTable" style="border:1px solid #E6E6E6;" cellspacing="0" cellpadding="0">
        <tr>
          <th width='80'>订单编号</th>
          <th>订单人数</th>
          <th>实收价格</th>
          <th>应收价格</th>
          <th>创建人</th>
          <th>产品名称</th>
          <th width='150'>送签时间</th>
        </tr>
        <tr v-for="(item,index) in dataList" :key="index">
          <td>{{item.Id}}</td>
          <td>{{item.PeopleNum}}人</td>
          <td>¥{{moneyFormat(item.Income)}}</td>
          <td>¥{{moneyFormat(item.TotalPrice)}}</td>
          <td>{{item.CreateBy}}</td>
          <td>{{item.Name}}</td>
          <td>{{item.SendStartDate}}</td>
        </tr>
      </table>
    </div>
  </div>
</template>

<script>
  export default {
    props:["SourceID","OrderID"],
    data(){
      return{
        tableShow:true,
        dataList:[],
      }
    },watch:{

    },created(){

    },mounted(){
      let id = this.OrderID;
      let SourceID = this.SourceID;
      this.getDate(id,SourceID);
    },methods:{
      getDate(id,SourceID){
        let msg = {
          visaOrderId:id,
          visaId:SourceID,
        }
        this.apipost('dmc_get_visa_GetOrderByVisaId',msg,r=>{
          if(r.data.resultCode==1){
            let data = r.data.data;
            this.dataList = data;
          }
        },null)
      }
    }
  }
</script>
